Savings calculator
curl --request POST \
--url https://api.partner.cubee.cz/api/v2/savings-calculator \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"periodType": "<string>",
"totalKWp": 123,
"battery": {
"batterySizeKwh": 123,
"reservedBatteryCapacityPercentage": 50,
"maximumBatteryChargingPowerWatt": 123,
"maximumBatteryDischargingPowerWatt": 123
},
"distribution": {
"distributor": "<string>",
"distributionRate": "<string>",
"lowTariffCommand": "<string>",
"distributorFeeHighPerMWh": 123,
"renewableEnergyFeePerMWh": 123,
"systemServicesFeePerMWh": 123,
"circuitBreakerMonthlyFee": 123,
"distributorFeeLowPerMWh": 123
},
"electricityBuyingSettings": {
"fixedBuyPriceCzkPerMWh": 123,
"buyingType": "<string>",
"monthlyFeeCzk": 123,
"fixedBuyPriceCzkPerMwhInLowTariff": 123,
"vat": 123
},
"yearlyConsumptionKWh": 123,
"electricitySellingSettings": {
"fixedSellPriceCzkPerMWh": 123,
"sellingType": "<string>",
"monthlyFeeCzk": 123
},
"customProductionConsumptionData": [
{
"time": "2023-11-07T05:31:56Z",
"productionWh": 123,
"consumptionWh": 123
}
]
}
'import requests
url = "https://api.partner.cubee.cz/api/v2/savings-calculator"
payload = {
"periodType": "<string>",
"totalKWp": 123,
"battery": {
"batterySizeKwh": 123,
"reservedBatteryCapacityPercentage": 50,
"maximumBatteryChargingPowerWatt": 123,
"maximumBatteryDischargingPowerWatt": 123
},
"distribution": {
"distributor": "<string>",
"distributionRate": "<string>",
"lowTariffCommand": "<string>",
"distributorFeeHighPerMWh": 123,
"renewableEnergyFeePerMWh": 123,
"systemServicesFeePerMWh": 123,
"circuitBreakerMonthlyFee": 123,
"distributorFeeLowPerMWh": 123
},
"electricityBuyingSettings": {
"fixedBuyPriceCzkPerMWh": 123,
"buyingType": "<string>",
"monthlyFeeCzk": 123,
"fixedBuyPriceCzkPerMwhInLowTariff": 123,
"vat": 123
},
"yearlyConsumptionKWh": 123,
"electricitySellingSettings": {
"fixedSellPriceCzkPerMWh": 123,
"sellingType": "<string>",
"monthlyFeeCzk": 123
},
"customProductionConsumptionData": [
{
"time": "2023-11-07T05:31:56Z",
"productionWh": 123,
"consumptionWh": 123
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
periodType: '<string>',
totalKWp: 123,
battery: {
batterySizeKwh: 123,
reservedBatteryCapacityPercentage: 50,
maximumBatteryChargingPowerWatt: 123,
maximumBatteryDischargingPowerWatt: 123
},
distribution: {
distributor: '<string>',
distributionRate: '<string>',
lowTariffCommand: '<string>',
distributorFeeHighPerMWh: 123,
renewableEnergyFeePerMWh: 123,
systemServicesFeePerMWh: 123,
circuitBreakerMonthlyFee: 123,
distributorFeeLowPerMWh: 123
},
electricityBuyingSettings: {
fixedBuyPriceCzkPerMWh: 123,
buyingType: '<string>',
monthlyFeeCzk: 123,
fixedBuyPriceCzkPerMwhInLowTariff: 123,
vat: 123
},
yearlyConsumptionKWh: 123,
electricitySellingSettings: {fixedSellPriceCzkPerMWh: 123, sellingType: '<string>', monthlyFeeCzk: 123},
customProductionConsumptionData: [{time: '2023-11-07T05:31:56Z', productionWh: 123, consumptionWh: 123}]
})
};
fetch('https://api.partner.cubee.cz/api/v2/savings-calculator', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"withoutPV": {
"energyProducedKWh": 123,
"energyConsumedKWh": 123,
"energyPurchasedKWh": 123,
"energySoldKWh": 123,
"costOfPurchasedEnergy": 123,
"revenueFromSoldEnergy": 123,
"netEnergyCost": 123,
"averagePurchasePricePerMWh": 123,
"averageSellPricePerMWh": 123
},
"basicPV": {
"energyProducedKWh": 123,
"energyConsumedKWh": 123,
"energyPurchasedKWh": 123,
"energySoldKWh": 123,
"costOfPurchasedEnergy": 123,
"revenueFromSoldEnergy": 123,
"netEnergyCost": 123,
"averagePurchasePricePerMWh": 123,
"averageSellPricePerMWh": 123
},
"smartPV": {
"energyProducedKWh": 123,
"energyConsumedKWh": 123,
"energyPurchasedKWh": 123,
"energySoldKWh": 123,
"costOfPurchasedEnergy": 123,
"revenueFromSoldEnergy": 123,
"netEnergyCost": 123,
"averagePurchasePricePerMWh": 123,
"averageSellPricePerMWh": 123
},
"savingsComparedToBasicPV": 123,
"months": [
{
"withoutPV": {
"energyProducedKWh": 123,
"energyConsumedKWh": 123,
"energyPurchasedKWh": 123,
"energySoldKWh": 123,
"costOfPurchasedEnergy": 123,
"revenueFromSoldEnergy": 123,
"netEnergyCost": 123,
"averagePurchasePricePerMWh": 123,
"averageSellPricePerMWh": 123
},
"basicPV": {
"energyProducedKWh": 123,
"energyConsumedKWh": 123,
"energyPurchasedKWh": 123,
"energySoldKWh": 123,
"costOfPurchasedEnergy": 123,
"revenueFromSoldEnergy": 123,
"netEnergyCost": 123,
"averagePurchasePricePerMWh": 123,
"averageSellPricePerMWh": 123
},
"smartPV": {
"energyProducedKWh": 123,
"energyConsumedKWh": 123,
"energyPurchasedKWh": 123,
"energySoldKWh": 123,
"costOfPurchasedEnergy": 123,
"revenueFromSoldEnergy": 123,
"netEnergyCost": 123,
"averagePurchasePricePerMWh": 123,
"averageSellPricePerMWh": 123
},
"savingsComparedToBasicPV": 123,
"month": "2023-12-25"
}
]
}"<string>""<string>"Calculator
Savings calculator
Calculates savings for Basic PV, smart PV and No PV installations.
POST
/
api
/
v2
/
savings-calculator
Savings calculator
Authorizations
JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
Body
application/jsontext/jsonapplication/*+json
Input model with all available parameters to set.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
- FixBuyingSettings
- SpotBuyingSettings
Show child attributes
Show child attributes
- FixSellingSettings
- SpotSellingSettings
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I